commit d3b2060a0a6556d578eb87caebb50d7a33864929
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Jan 13 01:17:53 2022

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 99ff9d0cb82..df1b8208fed 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,18 @@
+2022-01-12  liuhongt  <hongtao.liu@intel.com>
+
+	PR target/98348
+	* config/i386/sse.md (*<avx512>_ucmp<mode>3_1): Change from
+	define_split to define_insn_and_split.
+	(*avx2_eq<mode>3): Removed.
+	(<avx512>_eq<mode>3<mask_scalar_merge_name>): Adjust pattern
+	(<avx512>_eq<mode>3<mask_scalar_merge_name>_1): Rename to ..
+	(*<avx512>_eq<mode>3<mask_scalar_merge_name>_1): .. this, and
+	adjust pattern.
+	(*avx2_gt<mode>3): Removed.
+	(<avx512>_gt<mode>3<mask_scalar_merge_name>): Change from
+	define_insn to define_expand, and adjust pattern.
+	(UNSPEC_MASKED_EQ, UNSPEC_MASKED_GT): Removed.
+
 2022-01-11  Andrew MacLeod  <amacleod@redhat.com>
 
 	PR tree-optimization/103603
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index c1632246c83..860fd87fbcb 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220112
+20220113
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 7e6b1b31416..7bf252285c0 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2022-01-12  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2022-01-11  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/103831
+	* call.c (build_new_method_call): Consider dependent bases only
+	if 'this' is available.
+
 2022-01-10  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 8e57089eff7..58ca9d1979d 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,30 @@
+2022-01-12  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2022-01-11  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/103831
+	* g++.dg/cpp2a/concepts-class3.C: New test.
+	* g++.dg/template/non-dependent18.C: New test.
+
+2022-01-12  liuhongt  <hongtao.liu@intel.com>
+
+	PR target/98348
+	* gcc.target/i386/avx512bw-vpcmpeqb-1.c: Adjust testcase.
+	* gcc.target/i386/avx512bw-vpcmpeqw-1.c: Ditto.
+	* gcc.target/i386/avx512bw-vpcmpgtb-1.c: Ditto.
+	* gcc.target/i386/avx512bw-vpcmpgtw-1.c: Ditto.
+	* gcc.target/i386/avx512f-vpcmpeqd-1.c: Ditto.
+	* gcc.target/i386/avx512f-vpcmpeqq-1.c: Ditto.
+	* gcc.target/i386/avx512f-vpcmpgtd-1.c: Ditto.
+	* gcc.target/i386/avx512f-vpcmpgtq-1.c: Ditto.
+	* gcc.target/i386/avx512vl-vpcmpeqd-1.c: Ditto.
+	* gcc.target/i386/avx512vl-vpcmpeqq-1.c: Ditto.
+	* gcc.target/i386/avx512vl-vpcmpgtd-1.c: Ditto.
+	* gcc.target/i386/avx512vl-vpcmpgtq-1.c: Ditto.
+	* gcc.target/i386/bitwise_mask_op-1.c: Ditto.
+	* gcc.target/i386/bitwise_mask_op-2.c: Ditto.
+
 2022-01-10  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/libsanitizer/ChangeLog b/libsanitizer/ChangeLog
index 029e882853e..2892dca944f 100644
--- a/libsanitizer/ChangeLog
+++ b/libsanitizer/ChangeLog
@@ -1,3 +1,9 @@
+2022-01-12  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR sanitizer/102911
+	* asan/asan_malloc_linux.cpp (kDlsymAllocPoolSize): Set it to
+	8192 on Linux.
+
 2021-08-12  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:

